## ros-melodic-neonavigation-common 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(neonavigation_common)

set(CATKIN_DEPENDS
  roscpp
)

find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS ${CATKIN_DEPENDS}
)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include_directories(include ${catkin_INCLUDE_DIRS})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(std_srvs REQUIRED)
  add_subdirectory(test)

  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()


install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## ros-melodic-neonavigation-common 0.10.4

=== debian/changelog ===
ros-melodic-neonavigation-common (0.10.4-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.3-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.2-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.1-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.0-1stretch) stretch; urgency=high

  * neonavigation_common: add unit tests (#525 <https://github.com/at-wat/neonavigation/issues/525>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.9.1-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.9.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.8-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.7-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.6-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.5-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.4-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.3-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.2-1stretch) stretch; urgency=high

  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.1-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Mar 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 04 Mar 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.7.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 04 Feb 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.6.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 18 Jan 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.5.1-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 06 Jan 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.5.0-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Oct 2019 00:00:00 -0000

ros-melodic-neonavigation-common (0.4.3-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 10 Sep 2019 00:00:00 -0000

ros-melodic-neonavigation-common (0.4.2-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 19 Aug 2019 00:00:00 -0000

ros-melodic-neonavigation-common (0.4.1-1stretch) stretch; urgency=high

  * Drop ROS Indigo and Ubuntu Trusty support (#310 <https://github.com/at-wat/neonavigation/issues/310>)
  * Fix include directory priority (#308 <https://github.com/at-wat/neonavigation/issues/308>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Aug 2019 00:00:00 -0000

ros-melodic-neonavigation-common (0.4.0-1stretch) stretch; urgency=high

  * Add LICENSE file (#270 <https://github.com/at-wat/neonavigation/issues/270>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-melodic-neonavigation-common (0.3.1-1stretch) stretch; urgency=high

  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-melodic-neonavigation-common (0.2.3-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-melodic-neonavigation-common (0.2.2-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-melodic-neonavigation-common (0.2.1-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-melodic-neonavigation-common (0.2.0-1stretch) stretch; urgency=high

  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-neonavigation-common
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-neonavigation-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp
Description: Common headers for neonavigation meta-package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-neonavigation-common//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-neonavigation-common 0.14.0

=== debian/changelog ===
ros-melodic-neonavigation-common (0.14.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-melodic-neonavigation-common (0.13.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-melodic-neonavigation-common (0.12.2-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-melodic-neonavigation-common (0.12.1-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-melodic-neonavigation-common (0.12.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-melodic-neonavigation-common (0.11.8-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-melodic-neonavigation-common (0.11.7-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-melodic-neonavigation-common (0.11.6-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-melodic-neonavigation-common (0.11.5-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-melodic-neonavigation-common (0.11.4-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-melodic-neonavigation-common (0.11.3-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.11.2-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.11.1-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.11.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.11-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.10-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.9-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.8-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.7-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.6-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.5-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.4-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.3-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.2-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.1-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.10.0-1bionic) bionic; urgency=high

  * neonavigation_common: add unit tests (#525 <https://github.com/at-wat/neonavigation/issues/525>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.9.1-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.9.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.8-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.7-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.6-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.5-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.4-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.3-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.2-1bionic) bionic; urgency=high

  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.1-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Mar 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.8.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 04 Mar 2020 00:00:00 -0000

ros-melodic-neonavigation-common (0.7.0-1bionic) bionic; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 04 Feb 2020 00:00:00 -0000



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-std-srvs
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-roslint <!nocheck>, ros-melodic-rostest <!nocheck>, ros-melodic-std-msgs <!nocheck>, ros-melodic-std-srvs <!nocheck>
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
